Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 1107:7b279d10f46f
prev1097:d4807997e450
next1110:eb1c005ba3cb
author nkeynes
date Mon May 17 22:01:23 2010 +1000 (11 years ago)
permissions -rw-r--r--
last change Rip out my hacked-up isofs code and replace with libisofs. Much better.
file annotate diff log raw
1.1 --- a/configure Sun Jan 31 18:35:06 2010 +1000
1.2 +++ b/configure Mon May 17 22:01:23 2010 +1000
1.3 @@ -9224,6 +9224,226 @@
1.4 fi
1.5
1.6
1.7 +if test "${ac_cv_header_libisofs_libisofs_h+set}" = set; then
1.8 + { $as_echo "$as_me:$LINENO: checking for libisofs/libisofs.h" >&5
1.9 +$as_echo_n "checking for libisofs/libisofs.h... " >&6; }
1.10 +if test "${ac_cv_header_libisofs_libisofs_h+set}" = set; then
1.11 + $as_echo_n "(cached) " >&6
1.12 +fi
1.13 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_libisofs_libisofs_h" >&5
1.14 +$as_echo "$ac_cv_header_libisofs_libisofs_h" >&6; }
1.15 +else
1.16 + # Is the header compilable?
1.17 +{ $as_echo "$as_me:$LINENO: checking libisofs/libisofs.h usability" >&5
1.18 +$as_echo_n "checking libisofs/libisofs.h usability... " >&6; }
1.19 +cat >conftest.$ac_ext <<_ACEOF
1.20 +/* confdefs.h. */
1.21 +_ACEOF
1.22 +cat confdefs.h >>conftest.$ac_ext
1.23 +cat >>conftest.$ac_ext <<_ACEOF
1.24 +/* end confdefs.h. */
1.25 +$ac_includes_default
1.26 +#include <libisofs/libisofs.h>
1.27 +_ACEOF
1.28 +rm -f conftest.$ac_objext
1.29 +if { (ac_try="$ac_compile"
1.30 +case "(($ac_try" in
1.31 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.32 + *) ac_try_echo=$ac_try;;
1.33 +esac
1.34 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.35 +$as_echo "$ac_try_echo") >&5
1.36 + (eval "$ac_compile") 2>conftest.er1
1.37 + ac_status=$?
1.38 + grep -v '^ *+' conftest.er1 >conftest.err
1.39 + rm -f conftest.er1
1.40 + cat conftest.err >&5
1.41 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.42 + (exit $ac_status); } && {
1.43 + test -z "$ac_c_werror_flag" ||
1.44 + test ! -s conftest.err
1.45 + } && test -s conftest.$ac_objext; then
1.46 + ac_header_compiler=yes
1.47 +else
1.48 + $as_echo "$as_me: failed program was:" >&5
1.49 +sed 's/^/| /' conftest.$ac_ext >&5
1.50 +
1.51 + ac_header_compiler=no
1.52 +fi
1.53 +
1.54 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1.55 +{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
1.56 +$as_echo "$ac_header_compiler" >&6; }
1.57 +
1.58 +# Is the header present?
1.59 +{ $as_echo "$as_me:$LINENO: checking libisofs/libisofs.h presence" >&5
1.60 +$as_echo_n "checking libisofs/libisofs.h presence... " >&6; }
1.61 +cat >conftest.$ac_ext <<_ACEOF
1.62 +/* confdefs.h. */
1.63 +_ACEOF
1.64 +cat confdefs.h >>conftest.$ac_ext
1.65 +cat >>conftest.$ac_ext <<_ACEOF
1.66 +/* end confdefs.h. */
1.67 +#include <libisofs/libisofs.h>
1.68 +_ACEOF
1.69 +if { (ac_try="$ac_cpp conftest.$ac_ext"
1.70 +case "(($ac_try" in
1.71 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.72 + *) ac_try_echo=$ac_try;;
1.73 +esac
1.74 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.75 +$as_echo "$ac_try_echo") >&5
1.76 + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
1.77 + ac_status=$?
1.78 + grep -v '^ *+' conftest.er1 >conftest.err
1.79 + rm -f conftest.er1
1.80 + cat conftest.err >&5
1.81 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.82 + (exit $ac_status); } >/dev/null && {
1.83 + test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
1.84 + test ! -s conftest.err
1.85 + }; then
1.86 + ac_header_preproc=yes
1.87 +else
1.88 + $as_echo "$as_me: failed program was:" >&5
1.89 +sed 's/^/| /' conftest.$ac_ext >&5
1.90 +
1.91 + ac_header_preproc=no
1.92 +fi
1.93 +
1.94 +rm -f conftest.err conftest.$ac_ext
1.95 +{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
1.96 +$as_echo "$ac_header_preproc" >&6; }
1.97 +
1.98 +# So? What about this header?
1.99 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
1.100 + yes:no: )
1.101 + { $as_echo "$as_me:$LINENO: WARNING: libisofs/libisofs.h: accepted by the compiler, rejected by the preprocessor!" >&5
1.102 +$as_echo "$as_me: WARNING: libisofs/libisofs.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
1.103 + { $as_echo "$as_me:$LINENO: WARNING: libisofs/libisofs.h: proceeding with the compiler's result" >&5
1.104 +$as_echo "$as_me: WARNING: libisofs/libisofs.h: proceeding with the compiler's result" >&2;}
1.105 + ac_header_preproc=yes
1.106 + ;;
1.107 + no:yes:* )
1.108 + { $as_echo "$as_me:$LINENO: WARNING: libisofs/libisofs.h: present but cannot be compiled" >&5
1.109 +$as_echo "$as_me: WARNING: libisofs/libisofs.h: present but cannot be compiled" >&2;}
1.110 + { $as_echo "$as_me:$LINENO: WARNING: libisofs/libisofs.h: check for missing prerequisite headers?" >&5
1.111 +$as_echo "$as_me: WARNING: libisofs/libisofs.h: check for missing prerequisite headers?" >&2;}
1.112 + { $as_echo "$as_me:$LINENO: WARNING: libisofs/libisofs.h: see the Autoconf documentation" >&5
1.113 +$as_echo "$as_me: WARNING: libisofs/libisofs.h: see the Autoconf documentation" >&2;}
1.114 + { $as_echo "$as_me:$LINENO: WARNING: libisofs/libisofs.h: section \"Present But Cannot Be Compiled\"" >&5
1.115 +$as_echo "$as_me: WARNING: libisofs/libisofs.h: section \"Present But Cannot Be Compiled\"" >&2;}
1.116 + { $as_echo "$as_me:$LINENO: WARNING: libisofs/libisofs.h: proceeding with the preprocessor's result" >&5
1.117 +$as_echo "$as_me: WARNING: libisofs/libisofs.h: proceeding with the preprocessor's result" >&2;}
1.118 + { $as_echo "$as_me:$LINENO: WARNING: libisofs/libisofs.h: in the future, the compiler will take precedence" >&5
1.119 +$as_echo "$as_me: WARNING: libisofs/libisofs.h: in the future, the compiler will take precedence" >&2;}
1.120 +
1.121 + ;;
1.122 +esac
1.123 +{ $as_echo "$as_me:$LINENO: checking for libisofs/libisofs.h" >&5
1.124 +$as_echo_n "checking for libisofs/libisofs.h... " >&6; }
1.125 +if test "${ac_cv_header_libisofs_libisofs_h+set}" = set; then
1.126 + $as_echo_n "(cached) " >&6
1.127 +else
1.128 + ac_cv_header_libisofs_libisofs_h=$ac_header_preproc
1.129 +fi
1.130 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_header_libisofs_libisofs_h" >&5
1.131 +$as_echo "$ac_cv_header_libisofs_libisofs_h" >&6; }
1.132 +
1.133 +fi
1.134 +if test "x$ac_cv_header_libisofs_libisofs_h" = x""yes; then
1.135 +
1.136 + { $as_echo "$as_me:$LINENO: checking for iso_data_source_new_from_file in -lisofs" >&5
1.137 +$as_echo_n "checking for iso_data_source_new_from_file in -lisofs... " >&6; }
1.138 +if test "${ac_cv_lib_isofs_iso_data_source_new_from_file+set}" = set; then
1.139 + $as_echo_n "(cached) " >&6
1.140 +else
1.141 + ac_check_lib_save_LIBS=$LIBS
1.142 +LIBS="-lisofs $LIBS"
1.143 +cat >conftest.$ac_ext <<_ACEOF
1.144 +/* confdefs.h. */
1.145 +_ACEOF
1.146 +cat confdefs.h >>conftest.$ac_ext
1.147 +cat >>conftest.$ac_ext <<_ACEOF
1.148 +/* end confdefs.h. */
1.149 +
1.150 +/* Override any GCC internal prototype to avoid an error.
1.151 + Use char because int might match the return type of a GCC
1.152 + builtin and then its argument prototype would still apply. */
1.153 +#ifdef __cplusplus
1.154 +extern "C"
1.155 +#endif
1.156 +char iso_data_source_new_from_file ();
1.157 +int
1.158 +main ()
1.159 +{
1.160 +return iso_data_source_new_from_file ();
1.161 + ;
1.162 + return 0;
1.163 +}
1.164 +_ACEOF
1.165 +rm -f conftest.$ac_objext conftest$ac_exeext
1.166 +if { (ac_try="$ac_link"
1.167 +case "(($ac_try" in
1.168 + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
1.169 + *) ac_try_echo=$ac_try;;
1.170 +esac
1.171 +eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
1.172 +$as_echo "$ac_try_echo") >&5
1.173 + (eval "$ac_link") 2>conftest.er1
1.174 + ac_status=$?
1.175 + grep -v '^ *+' conftest.er1 >conftest.err
1.176 + rm -f conftest.er1
1.177 + cat conftest.err >&5
1.178 + $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.179 + (exit $ac_status); } && {
1.180 + test -z "$ac_c_werror_flag" ||
1.181 + test ! -s conftest.err
1.182 + } && test -s conftest$ac_exeext && {
1.183 + test "$cross_compiling" = yes ||
1.184 + $as_test_x conftest$ac_exeext
1.185 + }; then
1.186 + ac_cv_lib_isofs_iso_data_source_new_from_file=yes
1.187 +else
1.188 + $as_echo "$as_me: failed program was:" >&5
1.189 +sed 's/^/| /' conftest.$ac_ext >&5
1.190 +
1.191 + ac_cv_lib_isofs_iso_data_source_new_from_file=no
1.192 +fi
1.193 +
1.194 +rm -rf conftest.dSYM
1.195 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
1.196 + conftest$ac_exeext conftest.$ac_ext
1.197 +LIBS=$ac_check_lib_save_LIBS
1.198 +fi
1.199 +{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_isofs_iso_data_source_new_from_file" >&5
1.200 +$as_echo "$ac_cv_lib_isofs_iso_data_source_new_from_file" >&6; }
1.201 +if test "x$ac_cv_lib_isofs_iso_data_source_new_from_file" = x""yes; then
1.202 +
1.203 + LIBS="$LIBS -lisofs"
1.204 +
1.205 +else
1.206 + { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
1.207 +$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
1.208 +{ { $as_echo "$as_me:$LINENO: error: \"Libisofs library not found, but is required\"
1.209 +See \`config.log' for more details." >&5
1.210 +$as_echo "$as_me: error: \"Libisofs library not found, but is required\"
1.211 +See \`config.log' for more details." >&2;}
1.212 + { (exit 1); exit 1; }; }; }
1.213 +fi
1.214 +
1.215 +else
1.216 + { { $as_echo "$as_me:$LINENO: error: in \`$ac_pwd':" >&5
1.217 +$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
1.218 +{ { $as_echo "$as_me:$LINENO: error: \"Libisofs headers not found, but is required\"
1.219 +See \`config.log' for more details." >&5
1.220 +$as_echo "$as_me: error: \"Libisofs headers not found, but is required\"
1.221 +See \`config.log' for more details." >&2;}
1.222 + { (exit 1); exit 1; }; }; }
1.223 +fi
1.224 +
1.225 +
1.226 +
1.227 if test "x$with_osmesa" != xno; then
1.228
1.229
.